EDIT - bug #8125

ClassCastException when adding person to newly created team
02/22/2019 10:33 AM - Katja Luther

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version: Release 5.4
Description

Hallo,

vermutlich ein unginstiges Timing ...

Bulk Editor, neues Team, cache eingegeben -> Details view, Add Person, ausgewahlt -> Bug
HG

W

login : w.berendsohn

editor version : 5.4.3

server : apil.cybertaxonomy.org (cybertaxonomy.org) / salvador
schema version : 5.0.0.0.20180514

os : Windows 10 10.0 amd64

java : 1.8.0_201

java.lang.ClassCastException: eu.etaxonomy.cdm.model.agent.Team cannot be cast to eu.etaxonomy.cdm

.model.agent.Person

at eu.etaxonomy.taxeditor.ui.section.agent.TeamMemberElement.handleEvent (TeamMember

Element.java:70)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement.propertyChange

(AbstractEntityCollectionElement. java:167)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent

(AbstractCdmFormElement. java:238)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement.setSelectionInternal (

EntitySelectionElement. java:288)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement.widgetSelected (Entity

SelectionElement. java:222)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRendering

Engine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEn

gine.java:1022)

at org.eclipse.e4d.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java

:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecli

pseAppLauncher. java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplau

ncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl. invoke (Unknown Source)
java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)

History

#1 - 02/22/2019 11:26 AM - Andreas Miiller

- Found in Version set to Release 5.4

04/19/2024

22


http://www.tcpdf.org

